export const projects = [
    {
        name: "Wildspace",
        description: "A browser pet game.",
        tags: ["Website", "Multiplayer", "ALPHA"],
        links: {
            public: "https://thewild.space",
            local: null,
            testing: null,
            wiki: "wiki.smgames.club/wildspace",
        },
    },
    {
        name: "Ghostbound",
        description: "A ghost hunting game.",
        tags: ["PC", "Singleplayer", "Multiplayer", "ALPHA", "Horror", "Team"],
        links: {
            public: null,
            local: null,
            testing: null,
            wiki: "wiki.smgames.club/ghostbound",
        },
    },
    {
        name: '"Island"',
        description: "A cozy play-at-your-pace game.",
        tags: ["PC", "Singleplayer", "Multiplayer", "ALPHA", "Relaxing", "Sim"],
        links: {
            public: null,
            local: null,
            testing: null,
            wiki: "wiki.smgames.club/island",
        },
    },
    {
        name: '"Random RPG"',
        description: "An RPG game with actions and consequences.",
        tags: ["PC", "Singleplayer", "ALPHA", "RPG"],
        links: {
            public: null,
            local: null,
            testing: null,
            wiki: "wiki.smgames.club/randomrpg",
        },
    },
];

// Fetch all tags from the projects array
export var tags: Array<string> = [];

projects.forEach((project) => {
    project.tags.forEach((tag) => {
        var exists: boolean = false;
        tags.forEach((existingTag) => {
            if (tag === existingTag) {
                exists = true;
            }
        });
        if (!exists)
            tags.push(tag);
    });
});

export default {
    projects,
    tags,
}