// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: '2024-11-01',
  devtools: { enabled: true },
  css: ['~/assets/css/main.css'],
  ssr: false,
  postcss: {
    plugins: {
      tailwindcss: {},
      autoprefixer: {},
    },
  },
  routeRules: {
    "/web/access/smgames.club/**": {
      proxy: {to: "https://smgames.club"}
    },
    "/web/access/git.smgames.club/**": {
      proxy: {to: "https://git.smgames.club"}
    },
    "/web/access/services.smgames.club/**": {
      proxy: {to: "https://services.smgames.club"}
    },
    "/web/access/captcha.smgames.club/**": {
      proxy: {to: "https://captcha.smgames.club"}
    },
    "/web/access/social.smgames.club/**": {
      proxy: {to: "https://social.smgames.club"}
    }
  }
})
